=== debian/changelog ===
kodi (2:18.5-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 30 Dec 2019 17:14:25 -0800

kodi (2:18.5-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Enable va-api.
  * Remove dmo branding.
  * Drop epoch to Debian's "2:".
  * Disable dvdcss2 and shairplay.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 29 Dec 2019 15:48:26 -0800

kodi-dmo (5:18.5-dmo0~bpo9+2) oldstable-backports; urgency=medium

  * Fix armhf build with (add -mfpu=neon-vfpv4 to CXXFLAGS)

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Nov 2019 22:24:01 +0100

kodi-dmo (5:18.5-dmo0~bpo9+1) oldstable-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Nov 2019 09:21:18 +0100

kodi-dmo (5:18.4-dmo0~bpo9+1) oldstable-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 31 Aug 2019 16:17:47 +0200

kodi-dmo (5:18.3-dmo1~bpo9+2) oldstable-backports; urgency=medium

  * Update included ffmpeg to 4.1.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Jul 2019 12:04:13 +0200

kodi-dmo (5:18.3-dmo1~bpo9+1) stable-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 19 Jun 2019 14:10:08 +0200

kodi-dmo (5:18.2-dmo1~bpo9+1) stable-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 22 Apr 2019 15:08:37 +0200

kodi-dmo (5:18.1-dmo1~bpo9+4) stable-backports; urgency=medium

  * Add an arial.ttf file with more langage support.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Apr 2019 09:14:40 +0200

kodi-dmo (5:18.1-dmo1~bpo9+3) stable-backports; urgency=medium

  * Update included ffmpeg to 4.1.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Apr 2019 15:15:10 +0200

kodi-dmo (5:18.1-dmo1~bpo9+2) stable-backports; urgency=medium

  * Update included ffmpeg to 4.1.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Mar 2019 09:37:38 +0200

kodi-dmo (5:18.1-dmo1~bpo9+1) stable-backports; urgency=medium

  * New upstream bugfix release.
  * Update included ffmpeg to 4.1.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Feb 2019 14:55:09 +0100

kodi-dmo (5:18.0-dmo2~bpo9+3) stable-backports; urgency=medium

  * Remove fonts-glewlwyd as kodi-data dependency this package doesn't exist
    in stable (Thanks to Lucie Charrier for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Feb 2019 18:23:49 +0100

kodi-dmo (5:18.0-dmo2~bpo9+2) stable-backports; urgency=medium

  * Fix armel build

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 09 Feb 2019 17:17:51 +0100

kodi-dmo (5:18.0-dmo2~bpo9+1) stable-backports; urgency=medium

  * Rebuild for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 09 Feb 2019 08:30:07 +0100

kodi-dmo (5:18.0-dmo2) unstable; urgency=medium

  * Build with ENABLE_INTERNAL_CROSSGUID:BOOL=OFF
  * Add support for powerpc

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Feb 2019 14:47:34 +0100

kodi-dmo (5:18.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Jan 2019 23:45:00 +0100

kodi-dmo (5:18.0~rc5.2-dmo1) experimental; urgency=medium

  * Kodi 18.0 rc 5.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Jan 2019 09:03:27 +0100

kodi-dmo (5:18.0~rc5-dmo1) experimental; urgency=medium

  * Kodi 18.0 rc 5

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Jan 2019 23:17:29 +0100

kodi-dmo (5:18.0~rc4-dmo1) experimental; urgency=medium

  * Kodi 18.0 rc 4

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 29 Dec 2018 00:46:31 +0100

kodi-dmo (5:18.0~rc3-dmo2) experimental; urgency=medium

  * Rebuild against libmariadb3

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 Dec 2018 17:13:24 +0100

kodi-dmo (5:18.0~rc3-dmo1) experimental; urgency=medium

  * Kodi 18.0 rc 3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Dec 2018 16:26:25 +0100

kodi-dmo (5:18.0~rc2-dmo1) experimental; urgency=medium

  * Kodi 18.0 rc 2

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 Dec 2018 08:23:53 +0100

kodi-dmo (5:18.0~rc1-dmo2) experimental; urgency=medium

  * Fix lissing packages in depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 26 Nov 2018 17:39:13 +0100

kodi-dmo (5:18.0~rc1-dmo1) experimental; urgency=medium

  * Kodi 18.0 rc 1

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 23 Nov 2018 18:48:40 +0100

kodi-dmo (5:17.6-dmo7) unstable; urgency=medium

  * Rebuild against libcdio18

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Jan 2018 23:31:14 +0100

kodi-dmo (5:17.6-dmo6) unstable; urgency=medium

  * Rebuild against libcrossguid0

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Dec 2017 18:31:56 +0100

kodi-dmo (5:17.6-dmo5) unstable; urgency=medium

  * Fix broken audio.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Dec 2017 08:37:53 +0100

kodi-dmo (5:17.6-dmo4) unstable; urgency=medium

  * Back to included ffmpeg 3.3.5 Sound is broken with ffmpeg 3.4.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Dec 2017 15:01:48 +0100

kodi-dmo (5:17.6-dmo3) unstable; urgency=medium

  * Rebuild against external ffmpeg 3.4.1 libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Dec 2017 14:26:46 +0100

kodi-dmo (5:17.6-dmo2) unstable; urgency=medium

  * Rebuild against libcdio17

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Nov 2017 00:13:46 +0100

kodi-dmo (5:17.6-dmo1) unstable; urgency=medium

  * New upstream release.
  * Update included ffmpeg to 3.3.5 (was 3.1.11)

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Nov 2017 11:01:42 +0100


