=== debian/control ===
Source: kodi
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://kodi.tv/
Standards-Version: 4.3.0
Build-Conflicts: libafpclient-dev,
                 libegl1-imx,
                 libomxil-bellagio-dev [armel armhf]
Build-Depends: cmake,
               debhelper (>= 10),
               default-jre-headless,
               default-libmysqlclient-dev,
               dh-python,
               flatbuffers-compiler,
               libasound2-dev | libasound-dev,
               libass-dev (>= 0.9.7),
               libavahi-common-dev,
               libavahi-compat-libdnssd-dev,
               libavcodec-dev (>= 7:4.0~),
               libavfilter-dev (>= 7:4.0~),
               libavformat-dev,
               libavutil-dev,
               libbluetooth-dev (>= 4.98-2),
               libbluray-dev,
               libcap-dev,
               libcdio-dev,
               libcec-dev (>= 4~),
               libcrossguid-dev,
               libcurl4-gnutls-dev,
               libcwiid-dev,
               libdbus-1-dev,
#               libdvdcss-dev,
               libegl1-mesa-dev,
               libflatbuffers-dev,
               libfmt-dev,
               libfontconfig-dev,
               libfreetype6-dev,
               libfribidi-dev,
               libfstrcmp-dev,
               libgif-dev,
               libgl1-mesa-dev | libgl-dev,
               libgles2-mesa-dev [armel armhf arm64],
               libglew-dev (>= 1.13.0~),
               libglu-dev,
               libinput-dev,
               libiso9660-dev,
               libjpeg62-turbo-dev,
               liblcms2-dev,
               liblirc-dev,
               liblzo2-dev,
               libmicrohttpd-dev,
               libmms-dev,
               libnfs-dev (>= 3.0.0~),
               libpcre3-dev (>= 2:8.35-7.1),
               libplist-dev,
               libpng-dev,
               libpostproc-dev,
               libpulse-dev,
               libsamplerate-dev,
#               libshairplay-dev,
               libsmbclient-dev,
               libsqlite3-dev,
               libssh-dev,
               libswresample-dev,
               libswscale-dev,
               libtag1-dev (>= 1.8),
               libtinyxml-dev (>= 2.6.2-3),
               libudev-dev,
               libunistring-dev,
               libva-dev (>= 1.0.7),
               libvdpau-dev,
               libxinerama-dev,
               libxkbcommon-dev,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               nasm [any-amd64 any-i386],
               python2.7-dev,
               python-pil,
#               quilt,
               rapidjson-dev (>= 1.1.0~),
               swig,
               udev,
               uuid-dev,
               zip,
               zlib1g-dev

Package: kodi
Architecture: all
# Breaks: kodi (<< 2:18), kodi-bin (<< 2:18), kodi-data (<< 2:18)
Depends: kodi-bin (>= ${binary:Version}),
         kodi-data (>= ${source:Version}),
         ${misc:Depends}
Suggests: vdpau-va-driver
Replaces: xbmc (<< 2:14.1)
Conflicts: xbmc (<< 2:14.1)
Description: Open Source Home Theatre (executable binaries)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is a metapackage aimed at users wanting to quickly get started
 with using Kodi Media Center.

Package: kodi-bin
Architecture: any
# Breaks: kodi (<< 2:18), kodi-bin (<< 2:18)
Depends: lsb-release,
         mesa-utils,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         policykit-1, udisks2, upower
Recommends: ${shlibs:Recommends}
Replaces: xbmc-bin (<< 2:14.1),
          xbmc-data (<= 9.04.1+svn20090911-0.2),
          xbmc-scripts-example (<= 9.04.1+svn20090924-0.0)
Suggests: ${shlibs:Suggests}
Conflicts: libgl1-mesa-swx11, xbmc-bin (<< 2:18.1)
Description: Open Source Home Theatre (architecture-dependent files)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the binary data needed to have a working Kodi.

Package: kodi-data
Architecture: all
Breaks: kodi (<< 2:18), kodi-bin (<< 2:18)
Depends: fonts-noto-hinted,
         fonts-noto-mono,
         fonts-roboto-hinted,
         kodi-bin (>= ${source:Version}),
         libjs-jquery,
         python-pil,
         ${misc:Depends},
         ${python:Depends},
         python-qt3 | python-gtk2 | python-pygame
Provides: kodi-common
Conflicts: kodi (<< 2:17.7+dfsg1-6), 
           kodi-repository-kodi (<< 2:17.7+dfsg1-6),
           kodi-skin-confluence,
           xbmc (<< 2:99.0),
           xbmc-common (<< 2:99.0),
           xbmc-data (<< 2:14.1)
Replaces: kodi (<< 2:17.7+dfsg1-6), 
          kodi-repository-kodi (<< 2:17.6+dfsg1-6),
          kodi-skin-confluence,
          xbmc (<< 2:99.0),
          xbmc-common (<< 2:99.0),
          xbmc-data (<< 2:14.1)
Description: Open Source Home Theatre (arch-independent data package)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working Kodi.

Package: kodi-standalone
Architecture: all
Depends: kodi-data (>= ${binary:Version}), ${misc:Depends}
Recommends: upower
Replaces: xbmc-bin (<= 9.04.1+svn20090926-0.3), xbmc-standalone (<< 2:14.1)
Conflicts: xbmc-standalone (<< 2:14.1)
Description: Open Source Home Theatre (standalone program)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package will install files that would permit one to launch Kodi without
 having a desktop manager.

Package: kodi-eventclients-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Replaces: xbmc-bin (<= 9.11-0.4), xbmc-eventclients-common (<< 2:14.1)
Conflicts: xbmc-eventclients-common (<< 2:14.1)
Description: Open Source Home Theatre (Event Client Common package)
 Kodi (formally known as XBMC), is an award winning free
 and open source software media-player and entertainment hub for all your
 digital media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and
 Apple TV) and Microsoft Windows, as well as the original Xbox game console.
 Created in 2003 by a group of like minded programmers, Kodi is a non-profit
 project run and developed by volunteers located around the world. More than
 50 software developers have contributed to Kodi, and 100-plus translators
 have worked to expand its reach, making it available in more than 30
 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for Kodi Event Client.

Package: kodi-eventclients-dev
Architecture: all
Section: libdevel
Depends: kodi-eventclients-common (>= ${binary:Version}), ${misc:Depends}
Replaces: xbmc-eventclients-dev (<< 2:14.1)
Conflicts: xbmc-eventclients-dev (<< 2:14.1)
Description: Open Source Home Theatre (Event Client Dev package)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
