=== debian/rules ===
#!/usr/bin/make -f

ifeq "$(DEB_BUILD_ARCH)" "armel"
	ARCH_SPECIFIC_OPTIONS = -DENABLE_NEON:BOOL=OFF
	export DEB_CXXFLAGS_MAINT_APPEND = -latomic
	export CFLAGS := $(CFLAGS:-g=-g0)
	export CXXFLAGS := $(CXXFLAGS:-g=-g0)
endif

ifeq "$(DEB_BUILD_ARCH)" "armhf"
	export DEB_CXXFLAGS_MAINT_APPEND+=-mfpu=neon-vfpv4
endif

%:
	dh $@ --with python2 -Scmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DENABLE_EVENTCLIENTS=ON -DENABLE_CCACHE=OFF -DENABLE_DVDCSS=OFF \
	-DENABLE_INTERNAL_CROSSGUID=OFF -DENABLE_VDPAU=ON \
	$(ARCH_SPECIFIC_OPTIONS)

#	exit 1

override_dh_clean:
	dh_clean XBMCRemote.jar .dummy lib/cpluff/libtool xbmc/config.h \
	lib/libdvd/Makefile lib/ffmpeg/libavcodec/codec_names.h configure \
	Makefile tools/codegenerator/*.class lib/cpluff/po/Makefile.in \
	xbmc/DllPaths_generated.h xbmc/DllPaths_generated_android.h \
	kodi.bin kodi-xrandr libtool lib/gtest/libtool lib/cpluff/config.log \
	tools/EventClients/Clients/WiiRemote/WiiRemote lib/cpluff/auxliary/ltmain.sh \
	Makefile.include debian/substvars xbmc/peripherals/devices/Makefile \
	tools/depends/target/Toolchain_binaddons.cmake project/cmake/xbmc-config.cmake \
	tools/depends/target/Toolchain.cmake project/cmake/kodi-config.cmake \
	tools/EventClients/Clients/WiiRemote/WiiRemote lib/cpluff/console/cpluff-console \
	tools/TexturePacker/TexturePacker debian/substvars xbmc/peripherals/bus/Makefile \
	tools/depends/target/libdvdnav/libdvdnav-*.tar.gz lib/cpluff/loader/cpluff-loader \
	tools/depends/target/libdvdcss/libdvdcss-*.tar.gz lib/gtest/CMakeCache.txt \
	tools/depends/target/libdvdread/libdvdread-*.tar.gz  lib/gtest/Makefile \
	lib/gtest/cmake_install.cmake lib/cpluff/Makefile.in lib/cpluff/console/Makefile.in \
	lib/cpluff/libcpluff/Makefile.in lib/cpluff/libcpluff/libcpluff.la lib/cpluff/loader/Makefile.in \
	lib/cpluff/config.status debian/kodi-bin-recommends-dummy.so debian/kodi-bin-suggests-dummy.so

	find -name .deps | xargs -r rm -rf
	find -name .libs | xargs -r rm -rf
	find -name .exe | xargs -r rm -rf
	find -name .chm | xargs -r rm -rf
	find -name .dll | xargs -r rm -rf

	find -name *.o -delete
	find -name *.lo -delete

	find -name Makefile -exec grep -l "automake-1" {} \; | xargs -r rm

	[ ! -f tools/depends/native/TexturePacker/native/Makefile ] || $(MAKE) -C tools/depends/native/TexturePacker/native distclean

override_dh_install:
	rm -rf debian/tmp/usr/share/doc/kodi/kodi-eventclients-dev

	rm debian/tmp/usr/share/kodi/media/Fonts/arial.ttf
	rm debian/tmp/usr/share/kodi/system/settings/darwin*.xml
	rm debian/tmp/usr/share/kodi/system/settings/android.xml
	rm debian/tmp/usr/share/kodi/system/settings/win32.xml
	rm debian/tmp/usr/share/doc/kodi/version.txt
	rm debian/tmp/usr/share/doc/kodi/LICENSE.md
	rm debian/tmp/usr/share/doc/kodi/README.Linux.md

	find debian/tmp -name copying.txt -delete

#	find debian/tmp/usr -name '*.in' | xargs -r rm

	dh_install -XREADME.linux -XLICENSE.GPL	-Xprivacy-policy.txt

#	unshar debian/XBMCRemote.uue

override_dh_missing:
	dh_missing --list-missing -XREADME.linux -XLICENSE.GPL \
	-Xprivacy-policy.txt

# -XLICENSE.GPL -Xcopying.txt -XREADME.linux -Xreadme.txt \
#	-XLICENSE.txt -XLICENSE -XRoboto-Bold.ttf -XRoboto-Regular.ttf \
#	-Xprivacy-policy.txt

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_shlibdeps: debian/kodi-bin-recommends-dummy.so debian/kodi-bin-suggests-dummy.so
	dh_shlibdeps -lusr/lib/$(DEB_HOST_MULTIARCH)/kodi/system/players/dvdplayer

	dpkg-shlibdeps -dRecommends -edebian/kodi-bin-recommends-dummy.so -xlibc6 -O >> debian/kodi-bin.substvars
	dpkg-shlibdeps -dSuggests -edebian/kodi-bin-suggests-dummy.so -xlibc6 -O >> debian/kodi-bin.substvars

debian/kodi-bin-recommends-dummy.so:
# See obj-*/build/DllPaths_generated.h after a call to dh_auto_configure

	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
	-lplist \
	$(ARCH_SPECIFIC_LIB_RECOMMENDS)

debian/kodi-bin-suggests-dummy.so:
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
	$(ARCH_SPECIFIC_LIB_RECOMMENDS)

override_dh_auto_test:
override_dh_dwz:

override_dh_strip:
	dh_strip --no-automatic-dbgsym
