=== debian/watch ===
version=4

opts="uversionmangle=s/-Leia|rc([\d\.]+)-Leia|b([\d\.]+)-Leia//" \
https://github.com/xbmc/xbmc/releases \
.*/(.*)@ARCHIVE_EXT@
